Bug 23302 - MBX: dhrystone performance
Summary: MBX: dhrystone performance
Status: CLOSED CURRENTRELEASE
Alias: None
Product: eCos
Classification: Retired
Component: HAL   
(Show other bugs)
Version: CVS
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-04 14:21 UTC by Jesper Skov
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 12:31:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-01-04 14:21:38 UTC
Way back when, I ran dhrystone tests on both eCos and Linux on the 
same MBX board. The  version on Linux ran quite a bit faster. Possibly
missing some board initialization magic in the HAL.

Comment 1 George Thomas 2002-01-24 12:31:25 UTC
I just noticed that the performance of the MBX board when running from RAM is
less than 50% of what it is when run from ROM.  This is most likely a RAM vs.
ROM hardware configuration problem (the RAM is DRAM which runs via a complicated
setup).  Fix this anomaly and you'll probably fix the Dhrystone performance
problem as well.

Comment 2 George Thomas 2002-04-11 17:23:44 UTC
The caches were not being set up properly, certainly not for RAM based
applications.  This has been fixed and the Dhrystone benchmark now runs more
than 4 times faster than before.


Note You need to log in before you can comment on or make changes to this bug.